Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.jpa
Interface EntityManagerFactoryPlus

All Superinterfaces:
  EntityManagerFactory, EntityManagerFactoryPlusOperations

    public interface EntityManagerFactoryPlus

extends EntityManagerFactory, EntityManagerFactoryPlusOperations

Extension of the standard JPA EntityManagerFactory interface, linking in Spring's EntityManagerFactoryPlusOperations interface which defines additional operations (beyond JPA 1.0) in a vendor-independent fashion.

Since:
  2.0
Author:
  Rod Johnson
See Also:
  `EntityManager`

Method Summary

Methods inherited from interface javax.persistence.EntityManagerFactory
`close, createEntityManager, createEntityManager, isOpen`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD